<?xml version="1.0" encoding="UTF-8"?>

<!-- 
This XSLT file defines the Executive Summary section of the final report.

-->

<xsl:stylesheet version="2.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fo="http://www.w3.org/1999/XSL/Format"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
xmlns:fn="http://www.w3.org/2005/xpath-functions"
xmlns:meet="java:com.ibm.extremeblue.meet.xutils.MeetXUtils">

<xsl:template match="report" mode="executive_summary">

	<h2>Executive Summary</h2>
	
	<p>
		<b><xsl:value-of select="format-number(100 - summary/item[object_type='Statements']/percent_incompatible, '#0.0')"/>% of statements</b> immediately transferable to IBM DB2.
	</p>
	
	<p>
		MEET DB2 has estimated that <b><xsl:value-of select="format-number(100 - summary/item[object_type='Statements']/percent_incompatible, '#0.0')"/>% of statements</b> and <b><xsl:value-of select="format-number(100 - summary/item[object_type='Total Objects']/percent_incompatible, '#0.0')"/>% of objects</b> are immediately transferable to IBM DB2. The technical report below is provided to detail exact instances and locations of potential issues to simplify the migration process.
	</p>
	
	<p>
		Our Migration teams are ready to assist you. We have the experience and expertise to plan and execute a seamless transition to DB2. This is just one advantage of partnering with IBM. We look forward to proving our commitment to you as a business partner. 
	</p>
	
</xsl:template>

</xsl:stylesheet>

